/*
 *
 * Copyright (c) 1994
 * Hewlett-Packard Company
 *
 */


#ifndef PAIR_H
#define PAIR_H

template <class T1, class T2>
struct Pair
{
    T1 first;
    T2 second;
    Pair(T1 x, T2 y) : first(x), second(y) {};
};

template <class T1, class T2>
inline Pair<T1, T2> makePair(T1 t1, T2 t2)
{
    return Pair<T1, T2>(t1, t2);
}

#endif
